/////////////////////////////////////////////////////////////////////////////////////
// Dateiname:		PPOutro.h
/////////////////////////////////////////////////////////////////////////////////////
// Autor:			Christian Roesch
//
// Erstelldatum:	14.09.2001
// letzte nderung:	15.09.2001
/////////////////////////////////////////////////////////////////////////////////////
// Info:	Das Outro
/////////////////////////////////////////////////////////////////////////////////////


#ifndef _PPOutro_H
#define _PPOutro_H

// includes
#include "PPart.h"
#include "global.h"
#include "XGameSDK\XDisplay.h"
#include "XGameSDK\XSprite.h"
#include "XGameSDK\XFont.h"


// Klassen-Deklaration

class	PPOutro : public PPart
{
public:
	virtual HRESULT initialize(XDisplay* pxdisplayDest);
	virtual HRESULT uninitialize(void);

	virtual State run(int iTime, XDisplay* pxdisplayDest);

	virtual HRESULT recoverFromFocusLost(void);

	virtual void wndProc(HWND	hWnd,
						 UINT	message,
						 WPARAM	wParam,
						 LPARAM	lParam);

	State getState(void)
	{
		return Outro;
	}

protected:

private:
	void	renderText(XDisplay* pxdisplayDest,int iPage,int iOffsetX=0);
	void	renderBar(XDisplay* pxdisplayDest,int iX,int iY);

	int				m_iTimePassed;
	bool			m_bFinish;
	int				m_iPage;

	XSurface		m_xsurfBackground;
	XSprite			m_xsFX;
	XFont			m_xfFont;
};

#endif // _PPOutro_H

class	PPOutro;

/////////////////////////////////////////////////////////////////////////////////////
// Dateiname:		PPOutro.h
/////////////////////////////////////////////////////////////////////////////////////
