/////////////////////////////////////////////////////////////////////////////////////
// Dateiname:		Player.h
/////////////////////////////////////////////////////////////////////////////////////
// Autor:			Christian Roesch
//
// Erstelldatum:	06.08.2001
// letzte nderung:	03.09.2001
/////////////////////////////////////////////////////////////////////////////////////
// Info:	Die Klasse kapselt die Daten eines Spielers und verwaltet seine Eingaben
/////////////////////////////////////////////////////////////////////////////////////


#ifndef _Player_H
#define _Player_H

// includes
#include "global.h"
#include "snake.h"

// Klassen-Deklaration

class	Player
{
public:
	Player(int iNr, int iStartX, int iStartY, int iDirection);
	~Player(void);
void	checkInput();
int 	addPoints(int iPoints);


Snake*	m_pSnake;

protected:

private:
int		m_iPoints;
int		m_iNr;
bool	m_bPressedUp;
bool	m_bPressedDown;
bool	m_bPressedLeft;
bool	m_bPressedRight;
bool	m_bPressedCW;
bool	m_bPressedCCW;

};

#endif // _Player_H

class	Player;

/////////////////////////////////////////////////////////////////////////////////////
// Dateiname:		Player.h
/////////////////////////////////////////////////////////////////////////////////////
