/////////////////////////////////////////////////////////////////////////////////////
// Dateiname:		PPart.h
/////////////////////////////////////////////////////////////////////////////////////
// Autor:			Christian Roesch
//
// Erstelldatum:	23.07.2001
// letzte nderung:	03.09.2001
/////////////////////////////////////////////////////////////////////////////////////
// Info:	Das ist die Vater-Klasse fr alle Programmteile
//			Die Kindklassen implementieren die virtuellen Funktionen um so eine 
//			standartisierte Schnittstelle bereit zustellen
/////////////////////////////////////////////////////////////////////////////////////
// Thx 2 pHreak for this idea!
/////////////////////////////////////////////////////////////////////////////////////


#ifndef _PPart_H
#define _PPart_H

// include
#include <windows.h>
#include "xgamesdk/xdisplay.h"

/////////////////////////////////////////////////////////////////////////////////////
//Enumeration for all used program states
enum State
{
	Dummy,
	Intro,
	Menu,
	Game,
	Outro,
	WantToQuit
};

// Klassen-Deklaration

class	PPart
{
public:
	virtual HRESULT initialize(XDisplay* pxdisplayDest)	= 0;
	virtual HRESULT uninitialize(void)	= 0;

	virtual State run(int iTime, XDisplay* pxdisplayDest)	= 0;

	virtual HRESULT recoverFromFocusLost(void)	= 0;

	virtual void wndProc(HWND	hWnd,
						 UINT	message,
						 WPARAM	wParam,
						 LPARAM	lParam)	= 0;
	
	virtual State getState(void)=0;

protected:

private:

};

#endif // _PPart_H

class	PPart;
enum	State;

/////////////////////////////////////////////////////////////////////////////////////
// Dateiname:		PPart.h
/////////////////////////////////////////////////////////////////////////////////////
