/////////////////////////////////////////////////////////////////////////////////////
// Dateiname:		global.cpp
/////////////////////////////////////////////////////////////////////////////////////
// Autor:			Christian Roesch
//
// Erstelldatum:	24.07.2001
// letzte nderung:	04.11.2001
/////////////////////////////////////////////////////////////////////////////////////
// Info:	Instanzierung der globalen Objekte				
/////////////////////////////////////////////////////////////////////////////////////

//includes
#include "global.h"

//Number of Players
const int iNumberOfPlayers=3;

//Number of SinglePlayer Level
int iNumberOfSinglePlayLevel=25;

//Number of DeathMatch Level
int iNumberOfDeathMatchLevel=15;

//Number of Challenge Level
int iNumberOfChallengeLevel=8;

//Number of CTF Level
int iNumberOfCTFLevel=12;

//Number of EatEmAll Level
int iNumberOfEatEmAllLevel=12;

//global Timer Object
XTimer			g_xtTimer;

//global Input Object
XInput			g_xiInput;

//global Application Object (does WinApi stuff)
XApplication	g_xaApplication;

//global DDraw Display Object
XDisplay		g_xdDisplay;

//helper for FMod
XFModHelper g_xfmodHelper;

//indicates if application is active
bool			g_bIsActive=true;

//Pointer to actual programm part
PPart*			g_pPPartActual=new PPDummy;

//globale Config-Klasse
Config g_configData;

//globale HighScore-Klasse
HighScore g_hsData(2+2*iNumberOfChallengeLevel);

//Klasse mit den TileSetDaten
TileSetData g_TileSetData;




/////////////////////////////////////////////////////////////////////////////////////
// Ende der Datei:	global.cpp
/////////////////////////////////////////////////////////////////////////////////////
